> For the complete documentation index, see [llms.txt](https://developer.acquire.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.acquire.io/rest-apis/settings/account-settings/custom-attributes/get-a-custom-attribute.md).

# Get a custom Attribute

## Get Custom Attribute

<mark style="color:blue;">`GET`</mark> `https://{{account_id}}.acquire.io/api/v1/crm/objects/object-field/{{custom_attributeId}}`

Get details about a specific custom attribute.

#### Path Parameters

| Name                | Type    | Description                    |
| ------------------- | ------- | ------------------------------ |
| custom\_attributeId | integer | The ID of the custom attribute |

#### Query Parameters

| Name      | Type   | Description                 |
| --------- | ------ | --------------------------- |
| select    | array  | the array of columns to get |
| relations | string | specify the relations       |

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Bearer {{api\_key}} |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "id": 1,
    "object": "contact",
    "key": "name",
    "type": "text",
    "config": {
      "input": {
        "type": "text",
        "label": "Name",
        "required": false,
        "placeholder": "",
        "validationType": "format",
        "validationFormat": "any",
        "requiredErrorMessage": "Please add an attribute name.",
        "validationErrorMessage": "Oops! Seems incorrect format that you entered. Can you please recheck your name?"
      },
      "label": "Name",
      "backend": {
        "list": false
      },
      "capture": [
        "api"
      ],
      "online_order": 2,
      "offline_order": 2
    },
    "system": "yes"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/settings/account-settings/custom-attributes/get-a-custom-attribute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
